ALSA project - the C library reference

Functions
seq_midi_event.c File Reference

MIDI byte <-> sequencer event coder. More...

## Functions
int | snd_midi_event_new (size_t bufsize, snd_midi_event_t **rdev)
| Creates a MIDI event parser. More...
void | snd_midi_event_free (snd_midi_event_t *dev)
| Frees a MIDI event parser. More...
void | snd_midi_event_no_status (snd_midi_event_t *dev, int on)
| Enables/disables MIDI command merging. More...
void | snd_midi_event_reset_encode (snd_midi_event_t *dev)
| Resets MIDI encode parser. More...
void | snd_midi_event_reset_decode (snd_midi_event_t *dev)
| Resets MIDI decode parser. More...
void | snd_midi_event_init (snd_midi_event_t *dev)
| Resets MIDI encode/decode parsers. More...
int | snd_midi_event_resize_buffer (snd_midi_event_t *dev, size_t bufsize)
| Resizes the MIDI message encoding buffer. More...
long | snd_midi_event_encode (snd_midi_event_t *dev, const unsigned char *buf, long count, snd_seq_event_t *ev)
| Encodes bytes to sequencer event. More...
int | snd_midi_event_encode_byte (snd_midi_event_t *dev, int c, snd_seq_event_t *ev)
| Encodes byte to sequencer event. More...
long | snd_midi_event_decode (snd_midi_event_t *dev, unsigned char *buf, long count, const snd_seq_event_t *ev)
| Decodes sequencer event to MIDI byte stream. More...

## Detailed Description

MIDI byte <-> sequencer event coder.

Author
  Takashi Iwai tiwai.nosp@m.@sus.nosp@m.e.de
  Jaroslav Kysela perex.nosp@m.@per.nosp@m.ex.cz

Date
  2000-2001